%define module_name Geo-UK-Postcode-Regex
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(Data/Dumper/Concise.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/Spec/Functions.pm) perl(HTML/TreeBuilder.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/Trim.pm) perl(Tie/Hash.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.017
Release: alt1
Summary: regular expressions for handling British postcodes
Group: Development/Perl
License: perl
URL: https://github.com/mjemmeson/Geo-UK-Postcode-Regex

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MJ/MJEMMESON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Parsing UK postcodes with regular expressions. This package has been
separated from the Geo::UK::Postcode manpage so it can be installed and used with fewer
dependencies.

Can handle partial postcodes (just the outcode or sector) and can test
against valid characters and currently valid outcodes.

Also can determine the posttown(s) from a postcode.

Districts and post town information taken from:
https://en.wikipedia.org/wiki/Postcode_districts


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/G*
%perl_vendor_privlib/auto/*
%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.017-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.016-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.015-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.014-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- initial import by package builder

